

It's possible to define .configs in which there are no references in vmlinux
to lib/parser.o.  So you cannot load any filesystem modules.

Arrange for parser.o to be statically linked.

Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/lib/Makefile |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

diff -puN lib/Makefile~lib-parser-linkage-fix lib/Makefile
--- 25/lib/Makefile~lib-parser-linkage-fix	2005-03-07 20:41:51.000000000 -0800
+++ 25-akpm/lib/Makefile	2005-03-07 20:41:51.000000000 -0800
@@ -4,11 +4,11 @@
 
 lib-y := errno.o ctype.o string.o vsprintf.o cmdline.o \
 	 bust_spinlocks.o rbtree.o radix-tree.o dump_stack.o \
-	 kobject.o kref.o idr.o div64.o parser.o int_sqrt.o \
+	 kobject.o kref.o idr.o div64.o int_sqrt.o \
 	 bitmap.o extable.o kobject_uevent.o prio_tree.o sha1.o \
 	 halfmd4.o
 
-obj-y += sort.o
+obj-y += sort.o parser.o
 
 ifeq ($(CONFIG_DEBUG_KOBJECT),y)
 CFLAGS_kobject.o += -DDEBUG
_
